/*
 * Copyright (c) 2024. Elex. All Rights Reesrved.
 * https://www.elex-project.com/
 */

package kr.pe.elex.example;

import com.rometools.rome.feed.synd.SyndFeed;
import com.rometools.rome.io.FeedException;
import org.junit.jupiter.api.Test;

import java.io.IOException;
import java.util.Collections;

import static org.junit.jupiter.api.Assertions.*;

class FeedServiceTest {

	@Test
	public void createTest() throws FeedException, IOException {
		SyndFeed feed = FeedService.create(Collections.emptyList());

		System.out.println(FeedService.write(feed));
	}

	@Test
	public void getTypesTest(){
		for(String s : FeedService.getSupportedTypes()){
			System.out.println(s);
		}
	}
}